:root {
    --kwprimary: #e32121;
    --kwbgcolor: #ffffff;
    --kwlightgrey: #f0f0f0;
    --kwgrey: #e0e0e0;
    --kwgrey2: #d3d3d3;
    --kwbodycolor: #707070;
    --kwtitlecolor: #515151;
    --kwbodyfontfamily: "urw-din-semi-condensed", sans-serif;
    --kwbodyfontsize: 18px;
    --kwbodylineheight: 1.4;
    --kwtinytext: 0.777777em;
    --kwsmalltext: 0.888888em;
    --kwbigtext: 1.11111em;
    --kwh1fontsize: 1.555555rem;
    --kwh2fontsize: 1.333333rem;
    --kwh3fontsize: 1.11111rem;
    --kwmarginsmall: 15px;
    --kwmarginmedium: 30px;
    --kwmarginlarge: 40px;
    --kwradius: 3px;
    --kwtopmenu: 70px;
    --kwheadermenu: 0px;
    --kwlogoheaderheight: 35px;
    --kwcontattifissiheight: 60px;
    --kwwidthcontainer: auto;
    --kwmargincontainer: 0;
}
body {
    font-family: var(--kwbodyfontfamily);
    font-size: var(--kwbodyfontsize);
    line-height: var(--kwbodylineheight);
    color: var(--kwbodycolor);
    background-color: var(--kwbgcolor);
}
html {
    font-size: var(--kwbodyfontsize);
    scrollbar-width: thin;
    scroll-behavior: smooth;
}
p, h1, h2, h3, h4, p + img, ul, ul + img, ol, ol + img, .kwMarginMedium {
    margin-top: var(--kwmarginmedium);
    margin-bottom: 0;
}
p + p, h1 + p, h2 + p, h3 + p, ul + p, p + ul, h1 + ul, h2 + ul, h3 + ul, ul + ul, ol + p, p + ol, h1 + ol, h2 + ol, h3 + ol, ol + ol, .kwList > li + li, .kwMarginSmall {
    margin-top: var(--kwmarginsmall);
}
.kw100 {
    width: 100%;
}

/* scrollbar */
::-webkit-scrollbar {
    width: 8px;
}

/* selection */
*::-moz-selection { background:rgba(227, 33, 33, 0.25); color:var(--kwprimary); }
*::-webkit-selection { background:rgba(227, 33, 33, 0.25); color:var(--kwprimary); }
*::selection { background:rgba(227, 33, 33, 0.25); color:var(--kwprimary); }

/* margin sopra e sotto */
.entry-header {
    margin-bottom: 0;
}
article.item {
    margin-bottom: 0;
}
#sp-main-body {
    padding: 0;
}

/* impaginazione senza eccessi ai lati */
div.container {
    padding: 0;
}
.row {
    margin: 0;
}
.col-lg-1, .col-lg-10, .col-lg-11, .col-lg-12, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-md-1, .col-md-10, .col-md-11, .col-md-12, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-sm-1, .col-sm-10, .col-sm-11, .col-sm-12, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-xs-1, .col-xs-10, .col-xs-11, .col-xs-12, .col-xs-2, .col-xs-3, .col-xs-4, .col-xs-5, .col-xs-6, .col-xs-7, .col-xs-8, .col-xs-9 {
    padding: 0;
}
.body-innerwrapper {
    overflow-x: visible;
}

/* dispositivi */
.kwDesktop,
.kwTablet {
    display: none;
}
.kwMobile.kwTablet,
.kwMobile.kwDesktop {
    display: block;
}

/* fonts */
h1, .kwH1Style {
    font-size: var(--kwh1fontsize);
    font-weight: 700;
    text-transform: uppercase;
    color: var(--kwtitlecolor);
}
h2, .kwH2Style {
    font-size: var(--kwh2fontsize);
    font-weight: 700;
    text-transform: uppercase;
    color: var(--kwtitlecolor);
}
h3, .kwH3Style {
    font-size: var(--kwh3fontsize);
    font-weight: 700;
    text-transform: uppercase;
    color: var(--kwtitlecolor);
}
.kwColorPrimaryText {
    color: var(--kwprimary);
}
.kwColorTitle {
    color: var(--kwtitlecolor);
}
.kwColorBodyText {
    color: var(--kwbodycolor);
}
a {
    color: var(--kwprimary);
}
a:hover,
a:focus {
    color: var(--kwtitlecolor);
}
.kwContentLink {
    color: unset;
    text-decoration: underline;
}
.kwContentLink:hover {
    color: var(--kwprimary);
    text-decoration: underline;
}
.kwTextCenter {
    text-align: center;
}
.kwTextRight {
    text-align: right;
}
.kwBigText {
    font-size: var(--kwbigtext);
}
.kwSmallText {
    font-size: var(--kwsmalltext);
}
.kwTinyText {
    font-size: var(--kwtinytext);
}
.kwNote {
    font-size: var(--kwsmalltext);
    font-style: italic;
}
.kwTextUpper {
    text-transform: uppercase;
}

/* icone */
.kwIcoBen {
    height: 40px;
    width: 40px;
    background: var(--kwprimary);
    display: inline-block;
    border-radius: 100%;
    color: var(--kwbgcolor);
    line-height: 40px;
    font-size: 21px;
}
span.kwIcoBen {
    font-weight: 700;
}

/* tabelle */
.kwTable {
    table-layout: fixed;
    width: 100%;
}
.kwTable thead {
    font-weight: 700;
}
.kwTable tr {
    border-bottom: 1px solid var(--kwgrey2);
}
.kwTable tbody > tr:first-child {
    border-top: 1px solid var(--kwgrey2);
}
.kwTable td {
    padding: 5px 0;
}
.kwWordWrap {
    word-wrap: break-word;
}

/* liste */
.kwList {
    padding-left: 1em;
}
.kwList > li + li {
    margin-top: var(--kwmarginsmall);
}

/* linee */
.kwSmallSeparatorPrimary {
    border-top: 3px solid var(--kwprimary);
    opacity: 1;
    width: 50px;
    margin-left: auto;
    margin-right: auto;
    background: none;
}
.kwNoMargin {
    margin-top: 0;
    margin-bottom: 0;
}
.kwSmallSeparator {
    border-top: 1px solid var(--kwgrey2);
    opacity: 1;
    width: 50px;
    margin: var(--kwmarginlarge) 0;
    background: none;
}

/* cta */
.kwCta {
    color: #fff;
    padding: 17px 25px;
    text-transform: uppercase;
    transition: ease-out 0.2s;
    cursor: pointer;
    display: inline-block;
    text-shadow: none;
    font-weight: 700;
    position: relative;
    font-size: 1rem;
    border: none;
    background: var(--kwprimary);
    border-radius: var(--kwradius);
}
.kwCta:hover,
.kwCta:focus {
    color: #fff;
    background: var(--kwtitlecolor);
}
.kwCtaText {
    display: inline-block;
    text-transform: uppercase;
    font-weight: 700;
}
.kwCtaText > i {
    font-size: 0.9em;
}
.kwCtaExt > i {
    transform: rotate(-45deg);
}

/* offcanvas */
.offcanvas {
    background: var(--kwbgcolor);
}
#offcanvas-toggler {
    line-height: unset;
    padding: 0 10px 0 24px;
    border-left: 1px solid var(--kwgrey2);
}
#offcanvas-toggler > i {
    height: var(--kwtopmenu);
    line-height: var(--kwtopmenu);
    color: var(--kwbodycolor);
}
#offcanvas-toggler > i:hover {
    color: var(--kwtitlecolor);
}
#offcanvas-toggler > i.fa-bars::before {
    font-size: 1.25em;
}
.close-offcanvas {
    top: 0;
    right: 0;
    width: auto;
    font-size: 1.25em;
    padding: 0;
    border: none;
    display: grid;
    align-items: center;
    height: var(--kwtopmenu);
    color: unset;
}
.close-offcanvas i.fa-remove::before {
    line-height: var(--kwtopmenu);
    height: var(--kwtopmenu);
    width: var(--kwtopmenu);
    display: inline-block;
}
.offcanvas-menu {
    background-color: var(--kwgrey);
    color: var(--kwbodycolor);
}
.offcanvas-inner {
    padding-top: var(--kwtopmenu);
}
.offcanvas-menu .offcanvas-inner .sp-module + .sp-module {
    padding-top: 0;
}
.offcanvas-menu .offcanvas-inner .sp-module ul > li.active a {
    color: var(--kwprimary);
}
.offcanvas-menu .offcanvas-inner .sp-module {
    padding: var(--kwmarginlarge) var(--kwmarginmedium);
}
.offcanvas-menu .offcanvas-inner .sp-module ul > li {
    border: none;
}
.offcanvas-menu .offcanvas-inner .sp-module ul > li + li {
    margin-top: 20px;
}
.offcanvas-menu .offcanvas-inner .sp-module ul > li a {
    padding: 0;
    font-size: 1rem;
    color: unset;
    text-transform: uppercase;
}
.sp-module ul > li > a::before {
    content: none;
}
.offcanvas-menu .offcanvas-inner .sp-module ul > li a:hover,
.offcanvas-menu .offcanvas-inner .sp-module ul > li a:focus {
    background: none;
    color: var(--kwtitlecolor);
}
.offcanvas-menu .offcanvas-inner .sp-module ul.nav {
    margin: 0;
}
.offcanvas-menu .offcanvas-inner .sp-module ul > li:hover a,
.offcanvas-menu .offcanvas-inner .sp-module ul > li:focus a,
.offcanvas-menu .offcanvas-inner .sp-module ul > li ul > li > a:hover,
.offcanvas-menu .offcanvas-inner .sp-module ul > li ul > li > a:focus,
.offcanvas-menu .offcanvas-inner .sp-module ul > li ul > li.active > a,
.offcanvas-menu .offcanvas-inner .sp-module ul > li ul > li:hover > a,
.offcanvas-menu .offcanvas-inner .sp-module ul > li ul > li:focus > a {
    background: none !important;
}
.offcanvas-menu .offcanvas-inner .sp-module ul > li ul {
    background: none;
    padding: var(--kwmarginmedium) 0;
}
.offcanvas-menu .offcanvas-inner .sp-module ul > li ul > li > a {
    padding-left: 1em;
    font-size: var(--kwtinytext);
    letter-spacing: var(--kwletterspacing);
}
.offcanvas-menu .offcanvas-inner .sp-module ul > li .offcanvas-menu-toggler {
    padding: 0;
    line-height: 28px;
    width: 100%;
    text-align: right;
}
.offcanvas-menu .offcanvas-inner .sp-module ul.menukwHeaderMenu > li.active a {
    color: var(--kwprimary);
}
.offcanvas-menu .offcanvas-inner .sp-module ul > li.active:hover a {
    color: #111;
}
.offcanvas-menu .offcanvas-inner .sp-module:not(:last-child) {
    margin: 0;
    border-top: 1px solid var(--kwgrey2);
    border-bottom: none;
}
.offcanvas-menu .offcanvas-inner .sp-module ul > li .offcanvas-menu-toggler.collapsed .open-icon::before {
    content: "\e900";
    font-family: "icomoon";
}
.offcanvas-menu .offcanvas-inner .sp-module ul > li .offcanvas-menu-toggler .close-icon::before {
    content: "\e90c";
    font-family: "icomoon";
}
.offcanvas-menu .offcanvas-inner .sp-module ul.menukwHeaderMenu > li a {
    font-weight: 700;
    color: var(--kwtitlecolor);
}
.offcanvas-menu .offcanvas-inner .sp-module ul:not(.menukwHeaderMenu) > li a {
    font-size: var(--kwtinytext);
}
.offcanvas-menu .offcanvas-inner .sp-module ul:not(.menukwHeaderMenu) > li + li {
    margin-top: 12px;
}

/* header */
#sp-header {
    background: var(--kwgrey);
    padding: 0 var(--kwmargincontainer);
    box-shadow: none;
    height: auto;
}
.sp-megamenu-parent > li > a,
.sp-megamenu-parent > li > span {
    padding: 0;
    line-height: var(--kwtopmenu);
    color: var(--kwbodycolor);
    letter-spacing: 0;
    font-size: var(--kwtinytext);
}
.sp-megamenu-parent > li + li {
    margin-left: 20px;
}
.sp-megamenu-parent > li.active > a {
    color: var(--kwprimary);
}
.sp-megamenu-parent > li:hover > a {
    color: var(--kwtitlecolor);
}
#sp-header .logo {
    height: var(--kwtopmenu);
}
#sp-menu {
    height: var(--kwtopmenu);
}
#sp-header .logo > a > img {
    max-height: var(--kwlogoheaderheight);
}

/* breadcrumbs */
#sp-breadcrumbs {
    padding: 7px var(--kwmargincontainer) 0;
    color: unset;
    font-size: var(--kwsmalltext);
    z-index: 1;
}
.breadcrumb {
    padding: 0;
    margin: 0;
    background: none;
    border-radius: 0;
    display: inline-block;
}
.breadcrumb > li {
    display: inline-block;
    font-weight: 700;
    text-transform: uppercase;
    font-size: var(--kwtinytext);
}
.breadcrumb > li > a {
    color: unset;
}
.breadcrumb > li > a:hover {
    color: var(--kwprimary);
}
.breadcrumb > .active {
    color: unset;
    padding-left: .3em;
}
.breadcrumb-item + .breadcrumb-item::before {
    content: "|";
    color: unset;
    padding-right: .3em;
}

/* pagina servizi */
.kw2ColServizi {
    display: grid;
    grid-gap: var(--kwmarginlarge);
}
.kwBoxRivenditore {
    display: grid;
    grid-template-columns: 160px auto;
    grid-gap: var(--kwmarginmedium);
    line-height: 1.2;
    align-items: center;
}
.kwBoxRivenditore > span {
    padding-left: 10px;
    border-left: 1px solid var(--kwgrey2);
}
.kwBoxContatti {
    padding: var(--kwmarginmedium);
    border-radius: var(--kwradius);
    background: var(--kwgrey);
}
.kwLogoRivenditore {
    max-height: 80px;
    width: auto;
}

/* pagina contatti */
.kw2ColContatti {
    display: grid;
    grid-gap: var(--kwmarginlarge);
}

/* slider gallery */
.kwSliderGallery .uk-panel.uk-inline-clip.uk-transition-toggle.uk-background-cover {
    height: auto !important;
    padding-bottom: 125%;
}
.uk-scope .uk-icon:not(.uk-preserve) [stroke*="#"]:not(.uk-preserve) {
    stroke-width: 2;
}
.uk-scope .kwSliderGallery.uk-hidden-visually:not(:focus):not(:active):not(:focus-within),
.uk-scope .kwSliderGallery.uk-visible-toggle:not(:hover):not(:focus) .uk-hidden-hover:not(:focus-visible):not(:has(:focus-visible)),
.uk-scope .kwSliderGallery.uk-visible-toggle:not(:hover):not(:focus) .uk-hidden-hover:not(:focus-within) {
    width: unset !important;
    height: unset !important;
    margin: 15px !important;
    padding: 0 !important;
    display: block !important;
    opacity: 1 !important;
    overflow: visible !important;
}
.uk-scope .uk-slidenav {
    padding: 0 !important;
}
.uk-scope .uk-hidden-visually,
.uk-scope .uk-visible-toggle .uk-hidden-hover {
    color: var(--kwbodycolor);
    box-sizing: content-box;
    transition: 0s;
}
.uk-scope .uk-light a.uk-slidenav:hover {
    color: #fff;
}
.uk-scope .uk-visible-toggle .uk-hidden-hover > svg {
    width: 15px;
}

/* marchi */
.kwCellMarchio {
    width: 262px;
    border: 1px solid var(--kwgrey2);
    border-radius: var(--kwradius);
    padding: var(--kwmarginmedium);
    text-align: center;
    align-content: center;
}
.kwLogoMarchio {
    width: 100%;
    max-width: 200px;
    min-width: 200px;
    height: 100px;
    object-fit: contain;
    object-position: center;
}
.kwMarqueeContent {
    min-width: 100%;
    display: flex;
    overflow: hidden;
    gap: var(--kwmarginlarge);
    padding: var(--kwmarginsmall) 0;
}
.kwMarqueeMarchi {
    min-width: 100%;
    display: flex;
    gap: var(--kwmarginlarge);
    flex: none;
    animation: scroll 120s linear infinite;
}
.kwMarqueeMarchi .kwLogoMarchio {
    max-width: 160px;
    min-width: 160px;
    height: 80px;
    transition: ease-out 1s;
}
.kwMarqueeContent:hover .kwLogoMarchio:not(:hover) {
    opacity: 0.3;
    filter: grayscale(1);
}
@keyframes scroll {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(calc(-100% - 1rem));
    }
}

/* certificazioni */
.kwLinkCertificato {
    transition: ease-out 0.2s;
    display: block;
}
.kwLinkCertificato:hover {
    transform: scale(0.97);
}
.kwImgCertificato {
    border-radius: var(--kwradius);
    border: 2px solid var(--kwbodycolor);
}
.kwCellCertificato {
    width: 262px;
}
.kwLinkCertificato + p {
    margin-top: var(--kwmarginsmall);
}

/* blog */
.kwAntArticle {
    padding: var(--kwmarginsmall);
    border-radius: var(--kwradius);
    border: 1px solid var(--kwgrey2);
    display: grid;
    grid-gap: var(--kwmarginsmall);
}
.kwTextAntArticle > h2,
.kwTextAntArticle > div,
.kwTextAntArticle > p {
    margin-top: 10px;
}
.kwBlogTitle > a {
    color: unset;
}
.kwBlogTitle > a:hover {
    color: #111;
}
.kwAtfArticle {
    border: 1px solid var(--kwgrey2);
    padding: var(--kwmarginsmall);
    border-radius: var(--kwradius);
}
.kwArticle h2:target,
.kwArticle h2 > a:target {
    scroll-margin-top: var(--kwmarginmedium);
}
.kwBtnIndice::before {
    content: "[nascondi]";
    text-transform: lowercase;
    font-size: var(--kwtinytext);
}
.kwBtnIndice[aria-expanded="false"]::before {
    content: "[mostra]";
}
.accordion-collapse > ul:first-child {
    margin-top: var(--kwmarginsmall);
}

/* forms */
.ba-field-container textarea::placeholder, .ba-field-container input[type="text"]::placeholder, .ba-field-container input[type="number"]::placeholder, .ba-field-container input[type="email"]::placeholder {
    opacity: 0.5 !important;
}
.ba-field-container select:invalid {
    color: rgba(39, 39, 38, .5);
}
.text-content-wrapper {
    text-align: left;
}
div.ba-form-page {
    width: 100%;
    max-width: var(--form-width-value);
}
.ba-form-acceptance-field.kwSmallText label.ba-form-checkbox > span {
    height: 1.2em;
    width: 1.2em;
    border-radius: 0;
}
.ba-form-acceptance-field.kwSmallText .ba-field-container {
    padding-left: 1.8em;
    margin: 0;
}
.ba-form-acceptance-field.kwSmallText label.ba-form-checkbox input[type="checkbox"]:checked + span::before {
    font: normal normal normal 1em/1 'balbooa-form-icons';
}
.ba-form-row:first-child .ba-form-field-item.ba-form-text-field {
    margin: 0;
}
.ba-form-acceptance-field.kwSmallText label.ba-form-checkbox > span {
    top: calc(var(--field-typography-line-height)/2 - 0.7em);
}
.ba-form-acceptance-field .ba-form-checkbox input {
    width: 1.2em;
    height: 1.2em;
    top: 0.15em;
}
div.ba-form-acceptance-field.kwWhiteCheck label.ba-form-checkbox > span {
    background: rgba(255,255,255,.7);
}
#sp-footer a.ba-form-submit-btn {
    color: #fff;
}

/* footer */
#sp-footer {
    background: var(--kwgrey);
    padding: 0 0 var(--kwcontattifissiheight);
    color: unset;
    text-align: unset;
}
#sp-footer a {
    color: unset;
}
#sp-footer a:hover {
    color: var(--kwprimary);
}
.kwFinalFoot {
    display: grid;
    grid-template-columns: auto;
    grid-gap: var(--kwmarginsmall);
    font-size: var(--kwtinytext);
    text-transform: uppercase;
    border-top: 1px solid var(--kwgrey2);
    padding: var(--kwmarginsmall) var(--kwmargincontainer);
}
.sp-module ul.nav.menukwFooterMenu {
    display: inline;
}
.sp-module ul.menukwFooterMenu > li {
    border: none;
    display: inline;
}
.sp-module ul.menukwFooterMenu > li > a {
    display: inline;
    padding: 0;
    line-height: var(--kwbodylineheight);
}
.menukwFooterMenu > li::after {
    content: " |";
}
.menukwFooterMenu > li:last-child::after {
    display: none;
}
.kwLogoFoot {
    max-height: var(--kwlogoheaderheight);
    width: auto;
}
.kwCellFoot {
    align-self: start;
    font-size: var(--kwsmalltext);
    padding: 0 var(--kwmargincontainer);
}
.kwCellFoot > p + p {
    margin-top: 10px;
}
.kwBollinoCertificazioni {
    width: 170px;
    display: inline-block;
}

/* editor */
.kwEditorSection ul {
    padding-left: 1em;
}
.kwEditorSection ol {
    padding-left: 1.3em;
}
.kwEditorSection ul > li + li,
.kwEditorSection ol > li + li {
    margin-top: var(--kwmarginsmall);
}
.kwEditorSection img {
    border-radius: var(--kwradius);
}

/* sezioni */
.kwSection {
    padding: var(--kwmarginlarge) var(--kwmargincontainer);
}
#sp-main-body.kwBodyBasic {
    padding: var(--kwmarginlarge) var(--kwmargincontainer);
    min-height: calc(100vh - 75px);
    align-content: center;
}
.kw2ColSection,
.kw3ColSection,
.kw4ColSection {
    display: grid;
    grid-gap: var(--kwmarginlarge);
}
.kwMarginLarge {
    margin-top: var(--kwmarginlarge);
}
.kwCellStart {
    align-self: start;
}
.kwFlexSection {
    display: flex;
    flex-wrap: wrap;
    gap: var(--kwmarginmedium);
    justify-content: center;
}
.kwCellBox {
    max-width: 262px;
    min-width: 262px;
    background: var(--kwbgcolor);
    border-radius: var(--kwradius);
    padding: var(--kwmarginmedium) var(--kwmarginsmall);
}
.kwCellBox > p {
    margin-top: 10px;
}
.kwBgPrimary {
    background: var(--kwprimary);
    color: #fff;
}
.kwBgPrimary .kwContentLink:hover,
.kwBgPrimary .kwContentLink:focus {
    color: var(--kwtitlecolor);
}
.kwBgLight {
    background: var(--kwlightgrey);
}
.kwBgGrey {
    background: var(--kwgrey);
}
.kwBgGrey .kwBgGrey {
    background: var(--kwgrey2);
}
.kwBgDark {
    background: var(--kwbodycolor);
    color: #fff;
}
.kwBgAssistenza {
    background-image: url(../../../images/home/background-home-tablet.jpg);
    background-size: cover;
}
.kwGapLarge {
    grid-gap: var(--kwmarginlarge);
}
.kwGapMedium {
    grid-gap: var(--kwmarginmedium);
}
.kwSectionCut + .kwSectionCut {
    padding-top: 0;
}
.kwBorderSection {
    border-top: 1px solid var(--kwgrey2);
}
.kw2ColLargeSection {
    display: grid;
}
.kw2ColLargeSection > .kwColText {
    padding: var(--kwmarginlarge) var(--kwmargincontainer);
}
.kw2ColLargeSection + .kw2ColLargeSection {
    margin-top: var(--kwmarginsmall);
}
.kwGalleryFlex {
    padding: var(--kwmarginsmall);
}
.kwGalleryFlex > img:not(:first-child) {
    margin-top: var(--kwmarginsmall);
}

/* contatti fissi */
#kwFooterFixed {
    transform: translateY(90px);
    -webkit-transition: transform .8s cubic-bezier(.475,.425,0,.995), box-shadow .8s cubic-bezier(.475,.425,0,.995);
    -o-transition: transform .8s cubic-bezier(.475,.425,0,.995), box-shadow .8s cubic-bezier(.475,.425,0,.995);
    transition: transform .8s cubic-bezier(.475,.425,0,.995), box-shadow .8s cubic-bezier(.475,.425,0,.995);
}
#kwFooterFixed:hover {
    box-shadow: 0 0 100px rgba(255,255,255,.4);
}
.kwContattiFissi {
    display: flex;
    align-items: center;
    height: var(--kwcontattifissiheight);
    text-align: center;
    background: var(--kwgrey2);
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    z-index: 5;
    color: var(--kwtitlecolor);
    text-transform: uppercase;
}
.kwContattiFissi a {
    color: unset;
}
.kwContattiFissi .kwIcon {
    height: 30px;
    width: 30px;
    display: inline-block;
    vertical-align: middle;
}
.kwContattiFissiCell {
    display: flex;
    align-items: center;
    height: var(--kwcontattifissiheight);
    justify-content: center;
    text-align: center;
    gap: 0 4px;
    width: 100%;
}
.kwContattiFissi a:hover {
    color: unset;
}
a.kwCtaContattiFissi {
    font-size: 1rem;
    background: var(--kwprimary);
    color: var(--kwbgcolor);
}
.kwContattiFissiPhone {
    display: grid;
    align-content: center;
    line-height: 1;
}
.kwTextContattiFissiMob {
    font-size: 0.55em;
}
.kwContattiFissiMail {
    display: none;
}
.kwContattiFissiCell > a:hover {
    color: var(--kwprimary);
}
a.kwContattiFissiCell:hover {
    background: var(--kwprimarylight);
}
.kwContattiFissiCell > a > span, a.kwContattiFissiCell > span {
    font-weight: 700;
}
.kwContattiFissi a.kwCtaContattiFissi {
    transition: background-color .3s ease-in-out;
}
.kwContattiFissi a.kwCtaContattiFissi:hover,
.kwContattiFissi a.kwCtaContattiFissi:focus {
    color: var(--kwbgcolor);
    background: var(--kwtitlecolor);
}

/* credits */
.kwCreditsLogo {
    border-radius: 7px;
}

/* essential */
*:first-child {
    margin-top: 0;
}

@media screen and (max-width: 992px) {

    :root {
        --kwmargincontainer: 40px;
    }

    /* contatti fissi */
    .kwContattiFissi.scrolled {
        border-bottom: 25px solid #000;
        height: 85px;
    }
    .kwContattiFissiCell > a, a.kwContattiFissiCell {
        display: grid;
        grid-gap: 7px;
        align-content: center;
    }
    .kwContattiFissiCell > a > i, a.kwContattiFissiCell > i {
        font-size: 20px;
    }
    .kwContattiFissiCell > a > span, a.kwContattiFissiCell > span {
        font-size: 0.6rem;
        letter-spacing: -0.04em;
        line-height: 1;
    }
}

@media screen and (max-width: 768px) {

    :root {
        --kwmargincontainer: 30px;
    }

    /* atf */
    .kwAtf .kwCellBox {
        background: var(--kwgrey);
    }
    .kwAtfText {
        margin-top: -200px;
        background: linear-gradient(0deg,rgb(255, 255, 255) 70%, rgba(255, 255, 255, 0) 100%);
        display: block;
        position: relative;
    }
    .kw2ColLargeSection > .kwColText + .kwColImg {
        order: -1;
    }

    /* footer */
    #sp-footer .kw3ColSection {
        padding: var(--kwmarginlarge) 0;
    }

    /* sezioni */
    .kwGalleryFlex > img {
        margin: auto;
    }
}

@media screen and (max-width: 576px) {

    :root {
        --kwmargincontainer: 15px;
    }

}

@media screen and (min-width: 576px) {

    :root {
        --kwwidthcontainer: 540px;
    }

    /* impaginazione senza eccessi ai lati */
    .container {
        max-width: var(--kwwidthcontainer) !important;
    }

    /* sezioni */
    .kwSection {
        padding: var(--kwmarginlarge) calc((100% - var(--kwwidthcontainer))/2);
    }
    #sp-main-body.kwBodyBasic {
        padding: var(--kwmarginlarge) 0;
        min-height: calc(100vh - var(--kwtopmenu) - var(--kwheadermenu));
    }

}

@media screen and (min-width: 768px) {

    :root {
        --kwwidthcontainer: 720px;
        --kwh1fontsize: 2.22222rem;
        --kwh2fontsize: 1.555555rem;
        --kwh3fontsize: 1.277777rem;
        --kwbigtext: 1.277777em;
    }

    /* dispositivi */
    .kwTablet,
    .kwTablet.kwDesktop {
        display: block;
    }
    .kwMobile,
    .kwMobile.kwDesktop {
        display: none;
    }

    /* atf */
    .kwAtf {
        position: relative;
    }
    .kwAtfImg {
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
    }
    .kwAtfImg > img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
    .kwAtfText {
        position: relative;
    }
    .kwFullAtf .kwAtfText {
        min-height: calc(100vh - var(--kwtopmenu) - var(--kwheadermenu) - (2 * var(--kwmarginsmall)) - 80px);
        align-content: center;
    }
    .kwAtf .kwCellBox {
        max-width: 200px;
        min-width: 200px;
    }

    /* home */
    .kwImgBannerHome {
        position: relative;
    }
    .kwImgBannerHome::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 60%;
        height: 100%;
        background: linear-gradient(90deg,rgb(0, 0, 0) 0%, rgba(0, 0, 0, 0) 100%);
        opacity: 0.6;
    }
    .kwTextBannerHome {
        width: 33.333333%;
        padding-right: 0;
        position: absolute;
        left: 0;
        top: 0;
        height: 100%;
        align-content: center;
        color: var(--kwbgcolor);
    }
    .kwBannerHome + .kwBannerHome {
        padding-top: var(--kwmarginmedium);
    }
    .kwSection.kwTextBannerHome {
        padding-right: 0;
    }
    .kwTextBannerHome h2 {
        color: var(--kwbgcolor);
    }
    .kwBannerHome {
        position: relative;
    }

    /* pagina servizi */
    .kw2ColServizi {
        grid-template-columns: 2fr 1fr;
    }
    .kwLogoRivenditore {
        max-height: 100px;
    }
    .kwBoxRivenditore {
        grid-template-columns: 180px auto;
    }
    .kw2ColServizi .kwColSticky {
        order: 1;
    }
    .kwBoxContatti + .kwBoxContatti {
        margin-top: var(--kwmarginmedium);
    }

    /* pagina contatti */
    .kw2ColContatti {
        grid-template-columns: 2fr 1fr;
    }
    .kw2ColContatti > .kwColForm {
        grid-column: 1;
        grid-row: 1;
    }
    .kw2ColContatti > .kwColText {
        padding-left: var(--kwmarginmedium);
        border-left: 1px solid var(--kwgrey2);
        align-content: center;
    }

    /* blog */
    .kw2ColSection.kwAtfArticle {
        grid-gap: 0;
        padding: 0;
    }
    .kwAtfArticle .kwColText {
        order: -1;
        padding: var(--kwmarginlarge);
    }
    .kwAtfArticle .kwColImg {
        padding: var(--kwmarginsmall);
    }
    .kwBtnIndice {
        display: none;
    }
    .kwIndiceContenuti {
        order: 1;
    }

    /* footer */
    .kwFinalFoot {
        grid-template-columns: repeat(2,auto);
        justify-content: space-between;
        padding: var(--kwmarginmedium) var(--kwmarginlarge);
    }
    .kwCellFoot {
        padding: var(--kwmarginlarge);
    }

    /* sezioni */
    .kw2ColSection,
    .kw4ColSection {
        grid-template-columns: repeat(2,1fr);
        align-items: center;
    }
    .kw3ColSection {
        grid-template-columns: repeat(3,1fr);
        align-items: center;
    }
    .kwColText {
        grid-row-start: unset;
    }
    .kwColSticky {
        align-self: start;
        position: sticky;
        top: var(--kwmarginmedium);
    }
    .kw2ColLargeSection {
        grid-template-columns: repeat(2,1fr);
        align-items: center;
    }
    .kw2ColLargeSection > .kwColText:first-child {
        padding: var(--kwmarginlarge) var(--kwmarginlarge) var(--kwmarginlarge) calc(100% - (var(--kwwidthcontainer) / 2));
    }
    .kw2ColLargeSection > .kwColText:last-child {
        padding: var(--kwmarginlarge) calc(100% - (var(--kwwidthcontainer) / 2)) var(--kwmarginlarge) var(--kwmarginlarge);
    }
    .kw2ColLargeSection > .kwColImg {
        height: 100%;
    }
    .kw2ColLargeSection > .kwColImg > img {
        height: 100%;
        object-fit: cover;
    }
    .kwGalleryFlex {
        column-count: 2;
    }
}

@media screen and (min-width: 992px) {

    :root {
        --kwmarginlarge: 60px;
        --kwwidthcontainer: 940px;
        --kwwidthstrictcontainer: 850px;
        --kwtopmenu: 65px;
        --kwheadermenu: 45px;
    }

    /* dispositivi */
    .kwMobile,
    .kwTablet,
    .kwMobile.kwTablet {
        display: none;
    }
    .kwDesktop,
    .kwMobile.kwDesktop,
    .kwTablet.kwDesktop {
        display: block;
    }

    /* header */
    #sp-logo {
        padding: 0 20px;
        border-right: 1px solid var(--kwgrey2);
    }
    #sp-header .logo {
        height: var(--kwtopmenu);
    }
    #sp-menu {
        grid-column: 2/ 3;
        grid-row: 1;
        width: max-content;
        justify-self: end;
        padding: 0 20px;
    }
    #sp-kwmenuservizi {
        grid-column: 1 / 3;
        grid-row: 2;
        width: 100%;
        padding: 0 20px;
        height: var(--kwheadermenu);
        border-top: 1px solid var(--kwgrey2);
    }
    #sp-header .row {
        display: grid;
        grid-template-columns: max-content auto;
    }
    .menukwHeaderMenu {
        gap: 20px;
        justify-content: space-between;
    }
    .menukwHeaderMenu a {
        color: var(--kwtitlecolor);
        font-weight: 700;
        text-transform: uppercase;
        font-size: 0.7rem;
        line-height: var(--kwheadermenu);
    }
    .menukwHeaderMenu a:hover {
        color: #222;
    }
    .menukwHeaderMenu .active a {
        color: var(--kwprimary);
    }

    /* atf */
    .kwAtf .kwCellBox {
        max-width: 262px;
        min-width: 262px;
    }

    /* sezioni */
    .kwStrictSection {
        padding: var(--kwmarginlarge) calc((100% - var(--kwwidthstrictcontainer))/2);
    }

    /* contatti fissi */
    .kwContattiFissi {
        padding: 0 var(--kwmarginlarge);
        align-items: center;
    }
    .kwContattiFissiMail {
        display: grid;
    }
    .kwTextContattiFissiMob {
        display: none;
    }
    .kwContattiFissiPhone {
        line-height: unset;
    }

}

@media screen and (min-width: 1200px) {

    :root {
        --kwwidthcontainer: 1140px;
    }

    /* sezioni */
    .kw4ColSection {
        grid-template-columns: repeat(4,1fr);
        align-items: center;
    }
    .kwGalleryFlex {
        column-count: 3;
    }
}

@media screen and (min-width: 1220px) {
    .menukwHeaderMenu a {
        font-size: var(--kwsmalltext);
    }   
}

@media screen and (min-width: 1498px) {

    :root {
        --kwtopmenu: 35px;
        --kwheadermenu: 75px;
    }

    /* header */
    #sp-header .logo {
        height: calc(var(--kwtopmenu) + var(--kwheadermenu));
    }
    #sp-logo {
        grid-row: 1 / 3;
        width: max-content;
    }
    #sp-menu {
        width: 100%;
    }
    #sp-kwmenuservizi {
        grid-column: 2 / 3;
    }
    .menukwHeaderMenu {
        justify-content: right;
    }

}